OOjsUI Object-Oriented JavaScript – User Interface

- Main Page
- Related Pages
- Classes

- Class List
- Class Index
- Class Hierarchy
- Class Members

OOUI\FlaggedElement Member List

This is the complete list of members for OOUI\FlaggedElement, including all inherited members.

$element | OOUI\ElementMixin | protected
$flags | OOUI\FlaggedElement | protected
$target | OOUI\ElementMixin |
$targetPropertyName (defined in OOUI\FlaggedElement) | OOUI\FlaggedElement | static
__construct(Element $element, array $config=array()) | OOUI\FlaggedElement |
OOUI::ElementMixin::__construct(Element $element, Tag $target, array $config=array()) | OOUI\ElementMixin |
clearFlags() | OOUI\FlaggedElement |
getConfig(&$config) (defined in OOUI\FlaggedElement) | OOUI\FlaggedElement |
getFlags() | OOUI\FlaggedElement |
hasFlag($flag) | OOUI\FlaggedElement |
setFlags($flags) | OOUI\FlaggedElement |